<?php

/**
 * Created by Aurélien RICHAUD (08/07/2016 09:56)
 */
class SearchController extends SearchControllerCore
{
    public function init(): void
    {
        if (isset($_GET['q'])) {
            $_GET['q'] = \str_replace('/', '', $_GET['q']);
        }
        if (isset($_GET['s'])) {
            $_GET['s'] = \str_replace('/', '', $_GET['s']);
        }

        if (isset($_GET['search_query'])) {
            $_GET['search_query'] = \str_replace('/', '', $_GET['search_query']);
        }

        parent::init();
    }
}
